# RPM specfile for libmrproject module
# Generated Thu Jul 31 18:55:57 2003 GMT by Ximian build system
# $Id: bb_do,v 1.235.2.3 2003/07/21 15:31:37 thunder Exp $
# from $Id: ximian-build.conf,v 1.10 2003/07/31 18:57:25 mibarra Exp $

%define nam	libmrproject
%define ver	0.9.1
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	7

Name:     	libmrproject
Version: 	0.9.1
Release:	0.ximian.6.7
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 9 / i386
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.daa.com.au/~james/gnome
Source0:	libmrproject-0.9.1.tar.gz
Patch0:		libmrproject-de.po.patch
Summary:	project management library
Group:		System Environment/Libraries
Requires:	glib2 >= 2.0.4
Requires:	libxml2 >= 2.4.7
Requires:	libgsf >= 1.0.0
Provides:	ximian-libmrproject = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Conflicts:	libmrproject-devel < 0.9.1-0.ximian.6.7
Conflicts:	libmrproject-devel > 0.9.1-0.ximian.6.7

%description
MrProject is a project planning, scheduling and tracking tool for
the GNOME Desktop aiming to act as a better replacement than available
proprietary tools. Its modular design makes it a flexible tool for
managing projects of any kind.

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING
/usr/lib/lib*.so.*
/usr/lib/mrproject
/usr/share/locale/*/LC_MESSAGES/*
/usr/share/mrproject


%post
ldconfig

%postun
ldconfig

%package -n libmrproject-devel
Summary:	Devel files for project management library
Group:		Development/Libraries
Requires:	libmrproject = 0.9.1-0.ximian.6.7
Requires:	glib2-devel >= 2.0.4
Requires:	libxml2-devel >= 2.4.7
Requires:	libgsf-devel >= 1.0.0
Provides:	ximian-libmrproject-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n libmrproject-devel
MrProject is a project planning, scheduling and tracking tool for
the GNOME Desktop aiming to act as a better replacement than available
proprietary tools. Its modular design makes it a flexible tool for
managing projects of any kind.

%files -n libmrproject-devel
%defattr(-, root, root)
/usr/include/*
/usr/lib/lib*.so
/usr/lib/lib*.a
/usr/share/gtk-doc/html/*
/usr/lib/pkgconfig/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n libmrproject-0.9.1
    ;;
all)
%setup  -q -n libmrproject-0.9.1
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var --enable-static
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install; rm -rf ${DESTDIR}/usr/lib/*.la
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Wed Jul 30 2003 Ximian, Inc.

- Version: 0.9.1-0.ximian.6.7
- Summary: New build.
- New automated build.

